import React, { useState, useEffect } from "react";
import Container from "react-bootstrap/Container";
import Row from "react-bootstrap/Row";
import Col from "react-bootstrap/Col";
import { Button } from "react-bootstrap";
import { useLocation } from "react-router-dom";
import Up from "../img/up.png";
import Down from "../img/down.png";

export default function CommodityView() {
  const [com, setcom] = useState([]);

  useEffect(() => {
    fetch(process.env.REACT_APP_API + "commodity")
      .then((response) => response.json())
      .then((data) => {
        setcom(data);
        console.log(data);
      });
    // .catch((error) => setError(error.message));
  }, []);

  let location = useLocation();
  console.log(location.state.gno);
  return (
    <div className="custom-container p-2">
      <Container className="p-2">
        <Row>
          <Col>
            <h3 className="p-2">Latest Price Changes as per 22.09.2021</h3>
          </Col>
          <Col md="auto"></Col>
          <Col xs lg="2">
            <Button>Refresh</Button>
          </Col>
        </Row>
        {com.map((item) => (
          <Row>
            <Col className="colStyle1" xs={15} md={3}>
              {item.NAME}
            </Col>
            <Col className="colStyle2" xs={2} md={3}>
              Old Price: {item.CURRENTPRICE}
            </Col>
            <Col className="colStyle2" xs={2} md={2}>
              New Price: {item.NEWPRICE}
            </Col>
            <Col>
              {item.NEWPRICE.match(/(\d+)/) >
              item.CURRENTPRICE.match(/(\d+)/) ? (
                <img
                  src={Up}
                  style={{ width: 20, height: 20, marginTop: 10 }}
                />
              ) : (
                <img
                  src={Down}
                  style={{ width: 20, height: 20, marginTop: 10 }}
                />
              )}
            </Col>
          </Row>
        ))}
      </Container>
    </div>
  );
}
