import React, { useState, useEffect } from "react";
import Container from "react-bootstrap/Container";
import Row from "react-bootstrap/Row";
import Col from "react-bootstrap/Col";
import { Button } from "react-bootstrap";
import { useLocation } from "react-router-dom";
import PowerBi from "./PowerBi";
import Up from "../img/up.png";
import Down from "../img/down.png";
import { PowerBIEmbed } from "powerbi-client-react";
import { Line } from "react-chartjs-2";
import data from "./data";

export default function CommodityView() {
  const [com, setcom] = useState([]);
  const gggg = [];
  const [Items, setItems] = useState([]);

  useEffect(() => {
    fetch(process.env.REACT_APP_API + "comcompare")
      .then((response) => response.json())
      .then((data) => {
        setItems(data);
      });
      fetch(process.env.REACT_APP_API + "commodity")
      .then((response) => response.json())
      .then((data) => {
        setcom(data);
        console.log(data);
      });
    // .catch((error) => setError(error.message));
  }, []);

  const data1 = data;

  const options = {
    scales: {
      y: {
        beginAtZero: true,
      },
    },
  };

  let location = useLocation();
  console.log(location.state.gno);
  //Price Analyzer Table Created
  //Price Analyzer Graph Created 84-100
  return (
    <div className="custom-container p-2">
      <Container className="p-2">
        <Row>
          <Col>
          <h3>Latest Price Changes as per 22.11.2021</h3>
          </Col>
          <Col md="auto"></Col>
          <Col xs lg="2"></Col>
        </Row>
        <Row>
        {com.map((item) => (
          <Row style={{marginBottom: 10}}>
            <Col className="colStyle1" xs={15} md={3}>
              {item.NAME}
            </Col>
            <Col className="colStyle2" xs={2} md={3}>
              Old Price: {item.CURRENTPRICE}
            </Col>
            <Col className="colStyle2" xs={2} md={3}>
              New Price: {item.NEWPRICE}
            </Col>
            <Col>
              {item.NEWPRICE.match(/(\d+)/) >
              item.CURRENTPRICE.match(/(\d+)/) ? (
                <img
                  src={Up}
                  style={{ width: 20, height: 20, marginTop: 10 }}
                />
              ) : 
              (
                <img
                  src={Down}
                  style={{ width: 20, height: 20, marginTop: 10 }}
                />
              )}

            </Col>
          </Row>
        ))}
        </Row>
        <Row style={{marginTop:30, marginBottom: 30}}>
          <Col md={12}><center><h3>Analysis of the last 6 months</h3></center></Col>
        </Row>
        <Row >
          <Col md={12}>
            <Line data={data1} options={options} />
          </Col>
        </Row>
      </Container>
    </div>
  );
}
