import React, { Component } from "react";
import Container from "react-bootstrap/Container";
import Row from "react-bootstrap/Row";
import Col from "react-bootstrap/Col";
import { Button } from "react-bootstrap";
import { NavLink } from "react-router-dom";

export default class Home extends Component {
  constructor(props) {
    super(props);
    this.state = { gazettes: [], responseStatus: "null" };
    this.counter = 0;
  }
//Gazette data fetching
  downloader() {
    fetch(process.env.REACT_APP_API + "gazetteDownloadDetailsApi")
      .then((response) => response.json())
      .then((data) => {
        this.setState({ gazettes: data });
      });
  }

  //Download gazette data
  refresher() {
    fetch(process.env.REACT_APP_API + "gazette")
      .then((response) => response.json())
      .then((data) => {
        console.log(data.files_exist);
        this.setState({ responseStatus: "yes" });
        if (data.files_exist == "yes") {
          this.setState({ responseStatus: data.files_exist });
          console.log("inside");
        }
      });
  }

//initiate downloder process
  componentDidMount() {
    while (this.counter < 1) {
      this.downloader();
      // this.refresher();
      this.counter = this.counter + 1;
    }
  }

  //initiate downloder process
  componentDidUpdate() {
    while (this.counter < 1) {
      this.downloader();
      // this.refresher();
      this.counter = this.counter + 1;
    }
  }

  render() {
    const { gazettes, responseStatus } = this.state;

    return (
      <div className="custom-container p-2">
        <Container className="p-2">
          <Row>
            <Col>
              <h3 className="p-2">Latest Gazettes</h3>
            </Col>
            <Col md="auto"></Col>
            <Col xs lg="2">
              <Button
                onClick={() => {
                  this.refresher();
                  if (this.state.responseStatus == "yes") {
                    alert("Latest Files have already been downloaded!"); // gazette file checking
                  }
                }}
              >
                Download  
              </Button>   
            </Col>
          </Row>
        </Container>
        <Container className="p-3 border border-info">
          {gazettes.map((gazette) => (
            <Row className="list-row" key={gazette.GazetteNo}>
              <Row>
                <Col xs={12} md={8} className="title-text">
                  <span style={{ color: "#0000ff", fontWeight: 700 }}>
                    Gazette Number: {gazette.GazetteNo}{" "}
                  </span>
                  (Advertising I-II A)
                </Col>
              </Row>
              <Row className="pt-2 pl-2 mb-3">
                <Col xs={12} md={12}>
                  Published Date: {gazette.GazetteDate}
                </Col>
              </Row>
              <Row className="mb-3">
                <Col xs={12} md={12}>
                  {gazette.PriceAvl == "0" ? (
                    <span></span>
                  ) : (
                    <span style={{ color: "#ee0000" }}>
                      Price Changes are Available! Click{" "}
                      <NavLink
                        to={{
                          pathname: "/commodity",
                          state: { gno: gazette.GazetteNo },
                        }}
                      >
                        here
                      </NavLink>
                    </span>
                  )}
                </Col>
              </Row>
            </Row>
          ))}
        </Container>
      </div>
    );
  }
}
