import React, { useState } from "react";
import Form from "react-bootstrap/Form";
import Button from "react-bootstrap/Button";
import Container from "react-bootstrap/Container";
import Row from "react-bootstrap/Row";
import Col from "react-bootstrap/Col";

export default function Login({ login, error }) {
  const [user, setuser] = useState({ empid: "", password: "", dep: "" });

  const submitHandler = (e) => {
    e.preventDefault();
    fetch(process.env.REACT_APP_API + "userhandler/" + user.empid)
      .then((response) => response.json())
      .then((data) => {
        if (data.UserEmpID === user.empid) {
          user.dep = data.UserDepartment;
          login(user);
        }
      });
    // login(user);
  };
// Guest Login Created
  const clickHandler = () => {
    // e.preventDefault();
    setuser({ empid: "Guest", password: "", dep: "Guest" });
    login(user);
  };

  return (
    <div className="login-form m-3 justify-content-center">
      <Container className="text-center">
        <Row>
          <Col md={{ span: 6, offset: 3 }}>
            <h3 className="login-head">Login</h3>
          </Col>
        </Row>
        <Row className="p-2"></Row>
        <Row>
          <Col md={{ span: 6, offset: 3 }}>
            <Form onSubmit={submitHandler}>
              <Form.Group className="mb-3" controlId="formEmpId">
                <Form.Label>EMP ID</Form.Label>
                <Form.Control
                  type="text"
                  placeholder="Enter Employee ID"
                  onChange={(e) => setuser({ ...user, empid: e.target.value })}
                  value={user.empid}
                />
              </Form.Group>

              <Form.Group className="mb-3" controlId="formBasicPassword">
                <Form.Label>Password</Form.Label>
                <Form.Control
                  type="password"
                  placeholder="Password"
                  onChange={(e) =>
                    setuser({ ...user, password: e.target.value })
                  }
                  value={user.password}
                />
              </Form.Group>
              <Button
                style={{
                  paddingTop: 20,
                  paddingBottom: 20,
                  paddingLeft: 35,
                  paddingRight: 35,
                }}
                variant="primary"
                type="submit"
              >
                Login
              </Button>
            </Form>
          </Col>
        </Row>
        <Row style={{ padding: 20 }}>
          <Col xs={6} md={4}></Col>
          <Col xs={6} md={4}>
            <Button variant="secondary" type="submit" onClick={clickHandler}>
              Guest Login
            </Button>
          </Col>
          <Col xs={6} md={4}></Col>
        </Row>
      </Container>
    </div>
  );
}
